# Return service and device status

This function returns the status of each
cPanel service (daemon),
device, and server health check point on your server.

Endpoint: GET /ServerInformation/get_information
Version: 11.138.0.19
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_information"

  - `module` (string)
    The name of the module called.
    Example: "ServerInformation"

  - `result` (object)

  - `result.data` (array)
    An array of objects containing the server's status.
    Example: [{"name":"apache_php_fpm","status":1,"type":"service","value":"up"},{"name":"cpanel-dovecot-solr","status":1,"type":"service","value":"up"},{"name":"cpanellogd","status":1,"type":"service","value":"up"},{"name":"cpdavd","status":1,"type":"service","value":"up"},{"name":"cphulkd","status":1,"type":"service","value":"up"},{"name":"cpsrvd","status":1,"type":"service","value":"up"},{"name":"crond","status":1,"type":"service","value":"up"},{"name":"dnsadmin","status":1,"type":"service","value":"up"},{"name":"exim","status":1,"type":"service","value":"up","version":"exim-4.92-1.cp1180.x86_64"},{"name":"ftpd","status":1,"type":"service","value":"up"},{"name":"httpd","status":1,"type":"service","value":"up","version":"2.4.39"},{"name":"imap","status":1,"type":"service","value":"up"},{"name":"ipaliases","status":1,"type":"service","value":"up"},{"name":"lmtp","status":1,"type":"service","value":"up"},{"name":"mailman","status":1,"type":"service","value":"up"},{"name":"mysql","status":1,"type":"service","value":"up","version":"5.7.25"},{"name":"named","status":1,"type":"service","value":"up"},{"name":"nscd","status":1,"type":"service","value":"up"},{"name":"pop","status":1,"type":"service","value":"up"},{"name":"queueprocd","status":1,"type":"service","value":"up"},{"name":"rsyslogd","status":1,"type":"service","value":"up"},{"name":"spamd","status":1,"type":"service","value":"up"},{"name":"sshd","status":1,"type":"service","value":"up"},{"name":"Server Load","status":1,"type":"metric","value":"1.73"},{"name":"CPU Count","status":1,"type":"metric","value":"2"},{"name":"Memory Used","status":1,"type":"device","value":"44.12%"},{"name":"Swap","status":1,"type":"device","value":"0.73%"},{"name":"Disk / (/)","status":1,"type":"device","value":"26%"},{"name":"Disk /tmp (/tmp)","status":1,"type":"device","value":"0%"},{"name":"Disk /var/tmp (/var/tmp)","status":1,"type":"device","value":"0%"}]

  - `result.data.error` (string)
    An error message about why system couldn't read a resource's status file.
    Example: "nscd is reporting errors."

  - `result.data.name` (string)
    The cPanel services, devices, and server health check points on the
server.

* A valid [cPanel service](https://go.cpanel.net/ThecPanelWHMServiceDaemons). 
* CPU Count — The number of CPUs on the server.
* Disk mount (mount) — The server's disk mounts, where mount
represents the disk mount location.
* Server Load — The server's CPU load.
* Memory Used — The server's current memory use.
* Swap — The server's swap space.
    Example: "cpsrvd"

  - `result.data.status` (any)
    Whether the resource is enabled or disabled.

* 1 — Enabled.
* 0 — Disabled.
* unknown — The system couldn't determine the resource's status.
    Example: 1

  - `result.data.type` (string)
    The type of resource.

* device
* metric
* service
    Enum: "device", "metric", "service"

  - `result.data.value` (any)
    The resource's status.

* up
* down
* unknown
* The current resource usage.

  - `result.data.version` (string)
    The resource's software version.

Important:

The function only returns this value if a valid software
version exists.
    Example: "exim-4.92-1.cp1178.x86_64"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


